/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.peoplelist.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * people_list添加参数
 *
 * @author wang
 * @date  2023/12/28 16:19
 **/
@Getter
@Setter
public class PeopleListAddParam {

    /** 姓名 */
    @ApiModelProperty(value = "姓名", position = 2)
    private String userName;

    /** 工号 */
    @ApiModelProperty(value = "工号", position = 3)
    private String nickName;

    /** 性别 0为女 1为男 */
    @ApiModelProperty(value = "性别 0为女 1为男", position = 4)
    private Integer sex;

    /** 身份证 */
    @ApiModelProperty(value = "身份证", position = 5)
    private String idCard;

    /** 员工电话 */
    @ApiModelProperty(value = "员工电话", position = 6)
    private String phone;

    /** 紧急联系人电话 */
    @ApiModelProperty(value = "紧急联系人电话", position = 7)
    private String publicPhone;

    /** 省市区 */
    @ApiModelProperty(value = "省市区", position = 8)
    private String province;

    /** 详细地址 */
    @ApiModelProperty(value = "详细地址", position = 9)
    private String address;

    /** 入职时间 */
    @ApiModelProperty(value = "入职时间", position = 10)
    private Date entryDate;

    /** 0 在职 1离职 */
    @ApiModelProperty(value = "0 在职 1离职", position = 11)
    private Integer workStatus;

    /** 工作岗位 */
    @ApiModelProperty(value = "工作岗位", position = 12)
    private String job;

    /** 部门 */
    @ApiModelProperty(value = "部门", position = 13)
    private String department;

    /** 工作地点 */
    @ApiModelProperty(value = "工作地点", position = 14)
    private String workLocation;


    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 18)
    private Date createDate;

    /** 员工照片 */
    @ApiModelProperty(value = "员工照片", position = 20)
    private String imgUrl;

    /** 部门名称 */
    @ApiModelProperty(value = "部门名称", position = 21)
    private String departmentName;
}
