/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigchildbirth.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 母猪妊娠编辑参数
 *
 * @author wang
 * @date  2023/12/07 09:39
 **/
@Getter
@Setter
public class PigChildbirthEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 耳标号 */
    @ApiModelProperty(value = "耳标号", position = 2)
    private String eartag;

    /** 妊娠日期 */
    @ApiModelProperty(value = "妊娠日期", position = 3)
    private Date birthDate;

    /** 妊娠天数 */
    @ApiModelProperty(value = "妊娠天数", position = 4)
    private String birthDay;

    /** 妊娠方式 */
    @ApiModelProperty(value = "妊娠方式", position = 5)
    private String birthType;

    /** 妊娠结果 */
    @ApiModelProperty(value = "妊娠结果", position = 6)
    private String birthResult;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 7)
    private Date createDate;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 9)
    private String remark;

    /** 妊娠异常说明 */
    @ApiModelProperty(value = "妊娠异常说明", position = 10)
    private String birthError;

//    /** 组织id */
//    @ApiModelProperty(value = "组织id", position = 12)
//    private String orgId;

    /** 位置id */
    @ApiModelProperty(value = "位置id", position = 13)
    private String unitId;

    /** 位置名称 */
    @ApiModelProperty(value = "位置名称", position = 14)
    private String unitName;

    /** 转入位置 */
    @ApiModelProperty(value = "转入位置", position = 15)
    private String intoId;

}
