/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigfat.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 肥猪信息编辑参数
 *
 * @author wang
 * @date  2023/12/18 09:20
 **/
@Getter
@Setter
public class PigFatEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 耳标号 */
    @ApiModelProperty(value = "耳标号", position = 2)
    private String eartag;

    /** 性别 */
    @ApiModelProperty(value = "性别", position = 3)
    private Integer sex;

    /** 品种 */
    @ApiModelProperty(value = "品种", position = 4)
    private String breed;

    /** 品系 */
    @ApiModelProperty(value = "品系", position = 5)
    private String strain;

    /** 当前位置id */
    @ApiModelProperty(value = "当前位置id", position = 6)
    private String unitId;

    /** 当前位置 */
    @ApiModelProperty(value = "当前位置", position = 7)
    private String unitName;

    /** 父系耳标号 */
    @ApiModelProperty(value = "父系耳标号", position = 8)
    private String fatherEartag;

    /** 母系耳标号 */
    @ApiModelProperty(value = "母系耳标号", position = 9)
    private String motherEartag;

    /** 出生日期 */
    @ApiModelProperty(value = "出生日期", position = 10)
    private Date birthDate;

    /** 入场日期 */
    @ApiModelProperty(value = "入场日期", position = 11)
    private Date intoDate;

    /** 出生地、引种地 */
    @ApiModelProperty(value = "出生地、引种地", position = 12)
    private String birthAddress;

    /** 出生重 */
    @ApiModelProperty(value = "出生重", position = 13)
    private Double birthWeight;

    /** 出生胎次 */
    @ApiModelProperty(value = "出生胎次", position = 14)
    private String birthBatch;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 15)
    private String remark;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 16)
    private Date createDate;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 19)
    private Date updateDate;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 20)
    private String orgId;

}
