/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.energy.energyThreshold.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 能耗阈值添加参数
 *
 * @author newspaper
 * @date  2023/12/26 09:32
 **/
@Getter
@Setter
public class EnergyThresholdSaveParam extends  EnergyThresholdOrgIdParam{

    /** 单元父id */
    @ApiModelProperty(value = "单元父id", required = true, position = 2)
    @NotBlank(message = "unitId不能为空")
    private String unitId;

    /** 状态 */
    @ApiModelProperty(value = "状态", required = true, position = 3)
    @NotNull(message = "isEnable不能为空")
    private Integer isEnable;

    /** 用水下限 */
    @ApiModelProperty(value = "用水下限", required = true, position = 4)
    @NotNull(message = "waterLower不能为空")
    private BigDecimal waterLower;

    /** 用水上限 */
    @ApiModelProperty(value = "用水上限", required = true, position = 5)
    @NotNull(message = "waterUpper不能为空")
    private BigDecimal waterUpper;

    /** 用电下限 */
    @ApiModelProperty(value = "用电下限", required = true, position = 6)
    @NotNull(message = "electricityLower不能为空")
    private BigDecimal electricityLower;

    /** 用电上限 */
    @ApiModelProperty(value = "用电上限", required = true, position = 7)
    @NotNull(message = "electricityUpper不能为空")
    private BigDecimal electricityUpper;

    /** 七日用水下限 */
    @ApiModelProperty(value = "七日用水下限", required = true, position = 8)
    @NotNull(message = "sevenDayWaterLower不能为空")
    private BigDecimal sevenDayWaterLower;

    /** 七日用水上限 */
    @ApiModelProperty(value = "七日用水上限", required = true, position = 9)
    @NotNull(message = "sevenDayWaterUpper不能为空")
    private BigDecimal sevenDayWaterUpper;

    /** 七日用电上限 */
    @ApiModelProperty(value = "七日用电上限", required = true, position = 10)
    @NotNull(message = "sevenDayElectricityLower不能为空")
    private BigDecimal sevenDayElectricityLower;

    /** 七日用电下限 */
    @ApiModelProperty(value = "七日用电下限", required = true, position = 11)
    @NotNull(message = "sevenDayElectricityUpper不能为空")
    private BigDecimal sevenDayElectricityUpper;

}
