/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.feed.feedinglist.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 料塔实体
 *
 * @author wang
 * @date  2023/12/27 15:34
 **/
@Getter
@Setter
@TableName("feeding_list")
public class FeedingList {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 料塔位置 */
    @ApiModelProperty(value = "料塔位置", position = 2)
    private String unitId;

    /** 料塔名称 */
    @ApiModelProperty(value = "料塔名称", position = 3)
    private String unitName;

    /** 料塔消耗量 */
    @ApiModelProperty(value = "料塔消耗量", position = 4)
    private String feedValue;

    /** 料塔余量 */
    @ApiModelProperty(value = "料塔余量", position = 5)
    private String marginValue;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 6)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 上传时间 */
    @ApiModelProperty(value = "上传时间", position = 7)
    private Date uploadTime;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 8)
    private String orgId;
}
