/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.warning.warningManager.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 预警负责人实体
 *
 * @author newspaper
 * @date  2023/12/25 09:36
 **/
@Getter
@Setter
@TableName("warning_manager")
public class WarningManager extends CommonEntity {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 一级负责人ID */
    @ApiModelProperty(value = "一级负责人ID", position = 2)
    private String firstManagerId;

    /** 二级负责人ID */
    @ApiModelProperty(value = "二级负责人ID", position = 3)
    private String secondManagerId;

    /** 预警类型 0:环控 1:能耗 */
    @ApiModelProperty(value = "预警类型 0:环控 1:能耗", position = 4)
    private Integer type;

    /** 预警升级时间(分钟) */
    @ApiModelProperty(value = "预警升级时间(分钟)", position = 5)
    private Integer warningUpgradeTime;

    /** 组织ID */
    @ApiModelProperty(value = "组织ID", position = 6)
    private String orgId;
}
